Unable to install TP-Link TL-WN821N in 17.3 Xfce

Questions about WIFI networks and devices
Forum rules
Before you post please read how to get help
solarmax
Level 1
Level 1
Posts: 8
Joined: Sat Nov 18, 2017 2:33 pm

Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby solarmax » Tue Nov 21, 2017 3:52 am

I am trying to install a network connection using this network connector. When I ran the cd could not find install icon (difficult to shake off Windows) I opened the file and found the instructions for finding Linux driver which necessitated a download from TP-Link site. I transferred this to usb drive and plugged it into the computer running 17.3. Following the instructions in the driver download nothing seems to work for me. Inputting "apt-get install gcc" results in "command not recognised" I also cannot seem to find my system information ( kernel etc) but may be looking in the wrong place. As a complete newbie what I am looking for is someone who has /is using this connector to lead me to exactly what I should be typing into the line.
At the moment all my downloading regarding Linux has to be done through THIS computer (Windows 10) Any advice or chastisement is accepted. Thank you :cry: .

User avatar
jimallyn
Level 16
Level 16
Posts: 6980
Joined: Thu Jun 05, 2014 7:34 pm
Location: Wenatchee, WA USA

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby jimallyn » Tue Nov 21, 2017 5:04 am

I probably would not try to use the driver from TP-Link. There are instructions for Ubuntu 16.04 here:

https://askubuntu.com/questions/871941/ ... 5-on-16-04

Ubuntu 16.04 is equivalent to Mint 18. I'm not sure if these instructions would also apply to Mint 17, which is based on Ubuntu 14.04. If it were me, I would probably wait and see if JeremyB pops in with the correct answer. He's our wifi expert here. (He is also known as Jeremy31, who wrote the answer in the article I linked to above.)
Image

“If the government were coming for your TVs and cars, then you'd be upset. But, as it is, they're only coming for your sons.” - Daniel Berrigan

JeremyB
Level 17
Level 17
Posts: 7563
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby JeremyB » Tue Nov 21, 2017 11:56 am

Can you post results from terminal for

Code: Select all

lsusb

I think there are a few different versions

solarmax
Level 1
Level 1
Posts: 8
Joined: Sat Nov 18, 2017 2:33 pm

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby solarmax » Tue Nov 21, 2017 9:07 pm

Hi Jeremy, I ran lsusb in the WN 821 Driver pane and this is what came up

Bus 001 Device 005: ID 1307:0165 Transcend Information, Inc. 2GB/4GB Flash Drive
Bus 001 Device 003: ID 2357:107
Bus 001 Device 001: ID Id6b:002 Linux Foundation 2.0 root hub
Bus 005 Device 002: ID 058f:9360 Alcor Micro Corp. 8-in-1 Media Card Reader
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 03f0:050c Hewlett Packard 5219 Wireless Keyboard
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

Hope this tells you what you need. :)

JeremyB
Level 17
Level 17
Posts: 7563
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby JeremyB » Wed Nov 22, 2017 5:57 am

I know that source works in LM18 and it wouldn't hurt anything to try it in LM17

solarmax
Level 1
Level 1
Posts: 8
Joined: Sat Nov 18, 2017 2:33 pm

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby solarmax » Wed Nov 22, 2017 7:38 pm

Which source Jeremy? Should I download the driver file again and let Mint extract it itself? There are just not too many things that work for me at the moment. :?

JeremyB
Level 17
Level 17
Posts: 7563
Joined: Fri Feb 21, 2014 8:17 am

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby JeremyB » Thu Nov 23, 2017 9:17 am

See https://askubuntu.com/questions/871941/ ... 5-on-16-04

Code: Select all

sudo apt-get install build-essential linux-headers-generic dkms git
git clone https://github.com/Mange/rtl8192eu-linux-driver.git
sudo dkms add ./rtl8192eu-linux-driver
sudo dkms install rtl8192eu/1.0


Reboot

solarmax
Level 1
Level 1
Posts: 8
Joined: Sat Nov 18, 2017 2:33 pm

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby solarmax » Fri Nov 24, 2017 3:42 pm

JeremyB wrote:See https://askubuntu.com/questions/871941/ ... 5-on-16-04

Code: Select all

sudo apt-get install build-essential linux-headers-generic dkms git
git clone https://github.com/Mange/rtl8192eu-linux-driver.git
sudo dkms add ./rtl8192eu-linux-driver
sudo dkms install rtl8192eu/1.0


Reboot



Thanks Jeremy, I will try that as soon as I can get any sort of internet connection.

lowtechreject
Level 1
Level 1
Posts: 3
Joined: Tue Feb 24, 2015 10:48 am

Re: Unable to install TP-Link TL-WN821N in 17.3 Xfce

Postby lowtechreject » Thu Dec 14, 2017 10:49 am

I see this is old but just to add if it helps with this adaptor the wn821n has 5 revisions be sure you use the correct one for your adaptor

rev1-2-3 use Atheros rev 4-5 uses the realtek

I use this adaptor [rev 2 ] and so far it been all plug and play with the Linux I been using [mint 17 as one ] the rev. 3 uses Atheros as well but a different chipset

for what I see with the rev.4-5 is that you got to compile the driver and hope you get it to work like you see around on most adaptors with realtek

[see revisions at right on page ]
https://wikidevi.com/wiki/TP-LINK_TL-WN821N_v5


if you look at a lot of the user reviews guys got this adaptor thinking it was still plug and play under Linux then found this chipset change the hard way as you maybe are now

I guess the panda wireless adaptors are the safest bets but its still down to looking this crap all up first before you buy

good luck


Return to “Wireless”